import matplotlib.pyplot as plt
from numpy import loadtxt

def plot_spekt(filename):
	file = loadtxt(filename)
	file_5 = loadtxt(filename[:2] + "-05.txt")
	file_11 = loadtxt(filename[:2] + "-11.txt")

	def plot(x, y, n):
		plt.figure(figsize=(8, 5.6))
		params = {'mathtext.default': 'regular'}
		plt.rcParams.update(params)
		if n == 5:
			index = 1
			plt.title(filename[:2] + ". řád - 005")
		elif n == 11:
			index = 2
			plt.title(filename[:2] + ". řád - 011")
		if filename[:2] == "25":
			cor = 6200
			plt.xlim([6275, 6305])
			for i in file[:, index]:
				plt.text(cor + i - 0.5, (max(y) - (min(y) - max(y)) / 5) * 0.98, "{0:.3f}".format(6800 + i), rotation=60)
		elif filename[:2] == "28":
			cor = 6800
			plt.xlim([6865, 6902.5])
			for i in file[:, index]:
				plt.text(cor + i - 0.5, 1.17, str(6800 + i), rotation=60)
		plt.ylim([min(y) + (min(y) - max(y)) / 10, max(y) - (min(y) - max(y)) / 5])
		plt.plot(x, y)
		#plt.xlim([min(x), max(x) - 18])
		plt.xticks(size=12)
		plt.yticks(size=12)
		plt.xlabel("$\lambda$ [$\AA$]", size=13)
		plt.ylabel("I / I$_{fit}$", size=13)
		plt.savefig(filename[:2] + "-{0:02d}.png".format(n), dpi=120)
		print("kombajn")

	plot(file_5[:,0], file_5[:,1], 5)
	plot(file_11[:,0], file_11[:,1], 11)

plot_spekt("28.txt")
plot_spekt("25.txt")
